jQuery.fn.check = function(mode) {
	var mode = mode || 'on';
	
	return this.each(function() {
		switch(mode) {
		case 'on':
			this.checked = true;
			break;
		case 'off':
			this.checked = false;
			break;
		case 'toggle':
			this.checked = !this.checked;
			break;
		}
	});
};

jQuery.fn.checked = function(mode) {
	var checked;
	
	if (mode != 'any') {
		mode = 'all';
	}
	
	if (mode == 'all') {
		checked = true;
	} else {
		checked = false;
	}
	
	var count = 0;
	
	this.each(function() {
		if (!this.checked && mode == 'all') {
			checked = false;
		}
		if (this.checked && mode == 'any') {
			checked = true;
		}
		count++;
	});
	
	if (count == 0) {
		return false;
	}
	
	return checked;
}