<?php /* Smarty version 2.6.26, created on 2012-10-19 16:45:02
         compiled from optimize/optimize.html */ ?>
<article class="container_12">
	<section class="grid_12">
		<div class="block-content">
			<h1><?php echo $this->_tpl_vars['LABEL']['lbl_optimization']; ?>
</h1>
			
			<div align="center" class="with-margin">
				<div class="mini-infos align-left" style="max-width:600px;"><p><?php echo $this->_tpl_vars['LABEL']['help_optimize']; ?>
</p></div>
			</div>
			
			<div align="center">
				<?php echo '
				<script type="text/javascript">
				$(document).ready(function() {
					$(\'input.sv-optimize-checkbox\').click(function() {
						if ($(\'input.sv-optimize-checkbox\').checked(\'any\')) {
							$(\'#sv-exec-button\').enableBt();
						} else {
							$(\'#sv-exec-button\').disableBt();
						}
					});
					
					$(\'#sv-exec-button\').disableBt();
				});
				
				function OptimizeSubmitForm() {
					ShowBlockUI();
					document.forms.optimize_form.submit();
				}
				</script>
				'; ?>

				
				<form name="optimize_form" action="index.php?module=optimize&act=run" method="post" class="form">
					<input type="hidden" name="referer" value="<?php echo $_SERVER['REQUEST_URI']; ?>
" />
					<input type="hidden" name="clean_cache" value="1">
					<input type="hidden" name="key" value="<?php echo $this->_tpl_vars['license_key_md5']; ?>
">
					
					<fieldset class="grey-bg" style="max-width:400px;">
						<p align="left" class="small-margin">
							<input type="hidden" name="defrag" value="N" />
							<input type="checkbox" name="defrag" value="Y" class="sv-optimize-checkbox" id="sv-defrag-checkbox" />
							<label for="sv-defrag-checkbox" class="inline"><?php echo $this->_tpl_vars['LABEL']['lbl_defragment_tables']; ?>
</label>
						</p>
						
						<p align="left">
							<input type="hidden" name="recompile" value="N" />
							<input type="checkbox" name="recompile" value="Y" class="sv-optimize-checkbox" id="sv-recompile-checkbox" />
							<label for="sv-recompile-checkbox" class="inline"><?php echo $this->_tpl_vars['LABEL']['lbl_recompile_tpls']; ?>
</label>
						</p>
						
						<button type="button" id="sv-exec-button" onclick="OptimizeSubmitForm(); return false;">
							<?php echo $this->_tpl_vars['LABEL']['link_execute']; ?>

						</button>
						
						<p class="message warning" align="left" style="margin:1em;"><?php echo $this->_tpl_vars['LABEL']['note_optimization']; ?>
</p>
						
						<button type="button" class="small" onclick="document.forms.optimize_form.action = '<?php echo $this->_tpl_vars['BASE_URL']; ?>
'; document.forms.optimize_form.target='_blank'; document.forms.optimize_form.submit(); return false;">
							<?php echo $this->_tpl_vars['LABEL']['link_execute']; ?>

						</button>
					</fieldset>
				</form>
				
				<p class="small-margin">&nbsp;</p>
				
				<form name="optimize_options_form" action="index.php?module=optimize&act=save" method="post" class="form">
					<input type="hidden" name="referer" value="<?php echo $_SERVER['REQUEST_URI']; ?>
" />
					
					<fieldset class="grey-bg" style="max-width:400px;">
						<legend><?php echo $this->_tpl_vars['LABEL']['lbl_zlib_compression']; ?>
</legend>
						
						<p align="left">
							<?php echo $this->_tpl_vars['LABEL']['lbl_compression_level']; ?>
:
							<select name="compression_level" class="small">
								<option value="-1"<?php if ($this->_tpl_vars['CONFIG']['options']['zlib_compression_level'] == '-1'): ?> selected="selected"<?php endif; ?>><?php echo $this->_tpl_vars['LABEL']['lbl_auto_define']; ?>
</option>
								<option value="0"<?php if ($this->_tpl_vars['CONFIG']['options']['zlib_compression_level'] == '0'): ?> selected="selected"<?php endif; ?>>0 (<?php echo $this->_tpl_vars['LABEL']['lbl_turn_off']; ?>
)</option>
								<option value="1"<?php if ($this->_tpl_vars['CONFIG']['options']['zlib_compression_level'] == '1'): ?> selected="selected"<?php endif; ?>>1</option>
								<option value="2"<?php if ($this->_tpl_vars['CONFIG']['options']['zlib_compression_level'] == '2'): ?> selected="selected"<?php endif; ?>>2</option>
								<option value="3"<?php if ($this->_tpl_vars['CONFIG']['options']['zlib_compression_level'] == '3'): ?> selected="selected"<?php endif; ?>>3</option>
								<option value="4"<?php if ($this->_tpl_vars['CONFIG']['options']['zlib_compression_level'] == '4'): ?> selected="selected"<?php endif; ?>>4</option>
								<option value="5"<?php if ($this->_tpl_vars['CONFIG']['options']['zlib_compression_level'] == '5'): ?> selected="selected"<?php endif; ?>>5</option>
								<option value="6"<?php if ($this->_tpl_vars['CONFIG']['options']['zlib_compression_level'] == '6'): ?> selected="selected"<?php endif; ?>>6</option>
								<option value="7"<?php if ($this->_tpl_vars['CONFIG']['options']['zlib_compression_level'] == '7'): ?> selected="selected"<?php endif; ?>>7</option>
								<option value="8"<?php if ($this->_tpl_vars['CONFIG']['options']['zlib_compression_level'] == '8'): ?> selected="selected"<?php endif; ?>>8</option>
								<option value="9"<?php if ($this->_tpl_vars['CONFIG']['options']['zlib_compression_level'] == '9'): ?> selected="selected"<?php endif; ?>>9</option>
							</select>
							<button type="button" id="sv-optimize-options-save-button" class="small" onclick="document.forms.optimize_options_form.submit(); return false;">
								<?php echo $this->_tpl_vars['LABEL']['link_save']; ?>

							</button>
						</p>
						
						<?php if (! extension_loaded ( 'zlib' )): ?>
							<?php echo '
							<script type="text/javascript">
							$(document).ready(function() {
								$(\'#sv-optimize-options-save-button\').disableBt();
							});
							</script>
							'; ?>

							
							<p align="left">
								<img src="<?php echo $this->_tpl_vars['IMGS_DIR']; ?>
icons/fugue/exclamation-diamond.png" width="16" height="16" class="picto"> <?php echo $this->_tpl_vars['LABEL']['note_zlib_not_supported']; ?>

							</p>
						<?php endif; ?>
					</fieldset>
				</form>
			</div>
		</div>
	</section>
</article>