$j(function() {
	var scrollable_size = 4;
	var slide_item_count = $j("#scrollable .slide-item").length;
	
	$j("#slide").show();
	$j('#scrollable .prev').css('opacity', 0.5).css('cursor', 'default');
	
	if (slide_item_count <= scrollable_size) {
		for (var i = 0; i < scrollable_size - slide_item_count; i++) {
			$j("#scrollable .items").append('<div class="slide-item"></div>');
		}
		$j('#scrollable .next').css('opacity', 0.5).css('cursor', 'default');
	}
	
	$j("#scrollable").scrollable({
		horizontal:true,
		size:scrollable_size,
		onSeek: function() {
			if (this.index >= this.length - this.size) {
				$j('#scrollable .next').css('opacity', 0.5).css('cursor', 'default');
				if (slide_item_count > scrollable_size) {
					$j('#scrollable .prev').css('opacity', 1).css('cursor', 'pointer');
				}
			} else if (this.index == 0) {
				$j('#scrollable .prev').css('opacity', 0.5).css('cursor', 'default');
				if (slide_item_count > scrollable_size) {
					$j('#scrollable .next').css('opacity', 1).css('cursor', 'pointer');
				}
			} else {
				$j('#scrollable .prev, #scrollable .next').css('opacity', 1).css('cursor', 'pointer');
			}
		}
	});
});