<?php
/*****************************************************************************\
+-----------------------------------------------------------------------------+
| Fast-Sales Pro                                                              |
| Copyright (c) 2007-2009 Fsales development group <support@fast-sales.ru>    |
| All rights reserved.                                                        |
+-----------------------------------------------------------------------------+
| PLEASE READ  THE FULL TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT" |
| FILE PROVIDED WITH THIS DISTRIBUTION. THE AGREEMENT TEXT IS ALSO AVAILABLE  |
| AT THE FOLLOWING URL: http://fast-sales.ru/fsales_pro_license.html          |
|                                                                             |
| THIS  AGREEMENT  EXPRESSES  THE  TERMS  AND CONDITIONS ON WHICH YOU MAY USE |
| THIS SOFTWARE   PROGRAM   AND  ASSOCIATED  DOCUMENTATION   THAT  Fsales     |
| development group (hereinafter  referred to as "THE AUTHOR") IS FURNISHING  |
| OR MAKING AVAILABLE TO YOU WITH  THIS  AGREEMENT  (COLLECTIVELY,  THE       |
| "SOFTWARE"). PLEASE   REVIEW   THE  TERMS  AND   CONDITIONS  OF  THIS       |
| LICENSE AGREEMENT CAREFULLY   BEFORE   INSTALLING   OR  USING  THE          |
| SOFTWARE.  BY INSTALLING, COPYING   OR   OTHERWISE   USING   THE            |
| SOFTWARE,  YOU  AND  YOUR  COMPANY (COLLECTIVELY,  "YOU")  ARE  ACCEPTING   |
| AND AGREEING  TO  THE TERMS OF THIS LICENSE   AGREEMENT.   IF  YOU    ARE   |
| NOT  WILLING   TO  BE  BOUND BY THIS AGREEMENT, DO  NOT INSTALL OR USE THE  |
| SOFTWARE.  VARIOUS   COPYRIGHTS   AND OTHER   INTELLECTUAL   PROPERTY       |
| RIGHTS    PROTECT   THE   SOFTWARE.  THIS AGREEMENT IS A LICENSE AGREEMENT  |
| THAT GIVES  YOU  LIMITED  RIGHTS   TO  USE THE  SOFTWARE   AND  NOT  AN     |
| AGREEMENT  FOR SALE OR FOR  TRANSFER OF TITLE. THE AUTHOR RETAINS ALL RIGHTS|
| NOT EXPRESSLY GRANTED BY THIS AGREEMENT.                                    |
|                                                                             |
| The Initial Developers of the Original Code are Fsales development group    |
| Portions created by Fsales development group are Copyright (C) 2007-2009    |
| Fsales development group. All Rights Reserved.                              |
+-----------------------------------------------------------------------------+
\*****************************************************************************/

	require 'setup.php';
	
	if (isset($_SESSION['installed']) && $_SESSION['installed']) {
		header('Location: '.BASE_URL); exit;
	}
	
	func_msgs_process();
	
	
	
	
	
	
	//    
	function license() {
		global $SMARTY;
		
		if (!empty($_REQUEST['page'])) {
			header('Location: '.BASE_URL.'install/'); exit;
		}
		
		//     
		require ROOT_DIR.'check_requirements.php';
		
		$SMARTY->assign('page', 'license');
	}
	
	//   
	function data() {
		global $SMARTY;
		
		if (!empty($_REQUEST['page'])) {
			header('Location: '.BASE_URL.'install/'); exit;
		}
		
		// ,    FTP (         PHP)
		
		//  
		require 'dirs.php';
		
		$dirs_writable = true;
		
		foreach ($dirs as $dir) {
			if (!is_writable(ROOT_DIR.$dir)) {
				$oldmod = fileperms(ROOT_DIR.$dir); //    
				
				if (!chmod(ROOT_DIR.$dir, 0777)) {
					$dirs_writable = false;
					break;
				} else {
					chmod(ROOT_DIR.$dir, $oldmod);
				}
			}
		}
		
		$files_writable = true;
		
		if ($dirs_writable) {
			//  
			require 'files.php';
			
			foreach ($files as $file) {
				if (!is_writable(ROOT_DIR.$file)) {
					$oldmod = fileperms(ROOT_DIR.$file); //    
					
					if (!chmod(ROOT_DIR.$file, 0777)) {
						$files_writable = false;
						break;
					} else {
						chmod(ROOT_DIR.$file, $oldmod);
					}
				}
			}
		}
		
		$SMARTY->assign('need_ftp', !$dirs_writable || !$files_writable);
		$SMARTY->assign('page', 'data');
	}
	
	//  
	function install() {
		global $SMARTY;
		
		if (!empty($_REQUEST['page'])) {
			//     
			$_SESSION['install_data'] = array(
				'need_ftp'    => isset($_REQUEST['need_ftp'])    ? $_REQUEST['need_ftp']    : '',
				'ftpserver'   => isset($_REQUEST['ftpserver'])   ? $_REQUEST['ftpserver']   : '',
				'ftplogin'    => isset($_REQUEST['ftplogin'])    ? $_REQUEST['ftplogin']    : '',
				'ftppwd'      => isset($_REQUEST['ftppwd'])      ? $_REQUEST['ftppwd']      : '',
				'mysqlserver' => isset($_REQUEST['mysqlserver']) ? $_REQUEST['mysqlserver'] : '',
				'mysqldbname' => isset($_REQUEST['mysqldbname']) ? $_REQUEST['mysqldbname'] : '',
				'mysqllogin'  => isset($_REQUEST['mysqllogin'])  ? $_REQUEST['mysqllogin']  : '',
				'mysqlpwd'    => isset($_REQUEST['mysqlpwd'])    ? $_REQUEST['mysqlpwd']    : '',
				'adminemail'  => isset($_REQUEST['adminemail'])  ? $_REQUEST['adminemail']  : '',
				'adminpwd'    => isset($_REQUEST['adminpwd'])    ? $_REQUEST['adminpwd']    : ''
			);
			
			//  POST
			header('Location: '.BASE_URL.'install/'); exit;
		}
		
		$SMARTY->assign('page', 'install');
	}
	
	
	
	
	
	
	
	//   Smarty  
	if (isset($_REQUEST['compile'])) {
		$SMARTY->compile_templates($SMARTY->template_dir);
		exit;
	}
	
	// ,    
	if (!empty($_REQUEST['page'])) {
		$_SESSION['page'] = $_REQUEST['page'];
	} elseif (empty($_SESSION['page'])) {
		$_SESSION['page'] = 'license'; //    ,   
	}
	
	if ($_SESSION['page'] == 'license') {
		license(); //   
	} elseif ($_SESSION['page'] == 'data') {
		data();    //   
	} elseif ($_SESSION['page'] == 'install') {
		install(); //  
	}
	
	$SMARTY->display('index.html');
	
?>