var $j = jQuery.noConflict();

function ShowLoading(id, alt, label, centered) {
	if (typeof centered == 'undefined') {
		centered = false;
	}
	
	var html = '<img src="' + BASE_URL + 'install/templates/images/1x1.gif" class="ajax-loader" alt="' + alt + '" />';
	
	if (label) {
		html += ' ' + label;
	}
	
	if (centered) {
		html = '<div align="center">' + html + '</div>';
	}
	
	$j('#' + id).html(html);
}

function ProcessMsgs(msg_txt, err_txt) {
	if (msg_txt !== '' || err_txt !== '') {
		$j.getJSON(BASE_URL + 'install/messages.php', {msg: $j.base64Decode(msg_txt), err: $j.base64Decode(err_txt)},
			function(obj) {
				if (obj.html) {
					$j('#msgs-block').html($j.base64Decode(obj.html));
				
					var i     = 0;
					var count = obj.arg4;
					var timeToShow = obj.arg5;
				
					fadeItOut = function() {
						$j('#msgs-block').fadeOut(200, function() {
							fadeItIn();
						});
						i++;
					};
					
					fadeItIn = function() {
						$j('#msgs-block').fadeIn(200, function() {
							if (i < count - 1) {
								fadeItOut();
							} else {
								if (msg_txt != '' && timeToShow > 0) {
									setTimeout(function() {
										$j('#msgs-block').fadeOut(1000);
									}, timeToShow * 1000);
								}
							}
						});
					};
					
					setTimeout(function() {
						fadeItIn();
					}, 50);
				}
			}
		);
	} else {
		$j('#msgs-block').html('');
	}
	return false;
}

function ClearMsgs() {
	$j('#msgs-block').html('');
	return false;
}

function trim(s) {
	var l = 0;
	var r = s.length - 1;
	
	while (l < s.length && s[l] == ' ') {
		l++;
	}
	
	while (r > l && s[r] == ' ') {
		r -= 1;
	}
	
	return s.substring(l, r + 1);
}

function isCookieEnabled() {
	var cookieEnabled = (navigator.cookieEnabled) ? true : false;

	if (!cookieEnabled) {
		document.cookie = "testcookie";
		var cookies = document.cookie.split(';');
		
		for (var i = 0; i < cookies.length; i++) {
			if (trim(cookies[i]) == 'testcookie') {
				cookieEnabled = true;
				break;
			}
		}

		document.cookie = "";
	}

	return cookieEnabled;
}